Commit 4b393116 authored by Sophie Brun's avatar Sophie Brun

Add a patch to disable dns extension

parent 05498644
beef-xss (0.4.7.0-0kali3) kali-dev; urgency=medium
* Add a patch to disable dns extension in config.yaml as beef-xss needs
an older version of ruby-rubydns than the one in kali.
See https://github.com/beefproject/beef/issues/1253
-- Sophie Brun <sophie@freexian.com> Thu, 09 Jun 2016 10:17:09 +0200
beef-xss (0.4.7.0-0kali2) kali-dev; urgency=medium
* Ensure LANG=C.UTF-8 when we run beef-xss. See
......
Description: Disable dns extension
Current version of ruby-rubydns in kali is incompatible with beef-xss (it
uses an oler version). We disable dns extension until upstream fixes
this.
Origin: upstream, https://github.com/beefproject/beef/issues/1249
Bug: https://github.com/beefproject/beef/issues/1249
Last-Update: 2016-06-09
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/config.yaml
+++ b/config.yaml
@@ -164,8 +164,10 @@ beef:
ipec:
enable: true
# this is still experimental..
+ # Disable it in kali because it doesn't work with the current
+ # version of ruby-rubydns (older version is required by beef-xss)
dns:
- enable: true
+ enable: false
# this is still experimental..
dns_rebinding:
enable: false
tweak-gemfile
update-config
drop-bundler.diff
disable-dns.patch
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment